// GUI.fs
// moFlow
//
// Created by Ian Copland on 29/01/2014
// Copyright 2014 Tag Games. All rights reserved.

#ifndef GL_ES
#define lowp
#define mediump
#define highp
#else
precision lowp float;
#endif

//uniforms
uniform mediump sampler2D uTexture0;

//varying
varying lowp vec4 vvColour;
varying highp vec2 vvTexCoord;

void main()
{
	gl_FragColor = texture2D(uTexture0, vvTexCoord) * vvColour;
}

