// GUI.vs
// moFlow
//
// Created by Ian Copland on 29/01/2014
// Copyright 2014 Tag Games. All rights reserved.

#ifndef GL_ES
#define lowp
#define mediump
#define highp
#endif

//attributes
attribute highp vec4 avPosition;
attribute lowp vec4 avColour;
attribute mediump vec2 avTexCoord;

//uniforms
uniform highp mat4 umatWorldViewProj;

//varyings
varying lowp vec4 vvColour;
varying highp vec2 vvTexCoord;

void main()
{
    gl_Position = umatWorldViewProj * avPosition;
    vvColour = avColour;
    vvTexCoord = avTexCoord;
}
