// Ribbon.ps
// Simply mixes colour from vertex with texture 

precision lowp float;

varying lowp vec4 vvColour;
varying mediump vec2 vvTexCoord;

uniform lowp sampler2D uTexture0;

void main()
{
	vec4 vTexture = texture2D(uTexture0, vvTexCoord);

	vTexture *= vvColour;
	gl_FragColor = vTexture;
}