// Ribbon.vs
// Simply mixes colour from vertex with texture 


//----------------------------------------------
/// MoFlow Required Variables
//----------------------------------------------
uniform mat4 umatWorldViewProj;

attribute vec4 avPosition;
attribute vec4 avColour;
attribute vec2 avTexCoord;
//----------------------------------------------
//----------------------------------------------

varying vec4 vvColour;
varying vec2 vvTexCoord;

void main()
{
    //Convert the vertex from world space to projection
    gl_Position = umatWorldViewProj * avPosition;
	
	vvColour = avColour;
    
	//Apply the texture matrix to the texture coordinates
    vvTexCoord = avTexCoord;
}