// Default.ps
// Simply mixes colour from vertex with texture 

precision lowp float;

varying mediump vec2 vvTexCoord;

uniform lowp float fBlendFactor;
uniform lowp sampler2D uTexture0;

void main()
{
	vec4 vTexture = texture2D(uTexture0, vvTexCoord);
	gl_FragColor = mix(vTexture, vec4(1.0, 1.0, 1.0, 1.0), fBlendFactor);
}